Skip to main content

Create Invoice: Yardi

POSThttps://api.propexo.com/v1/invoices/yardi/
InterfaceMethod
Vendor InvoicingImportPayable_Login
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    cash_financial_account_idstringrequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    ap_financial_account_idstringrequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    post_monthstringrequired

    The post month for the invoice. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    invoice_datestring<date-time>required

    The date of issuance for the invoice

    due_datestring<date-time>required

    The due date associated with the invoice

    notesstringrequired

    Notes associated with the invoice

    total_amount_in_centsnumberrequired

    The amount of the invoice, in cents

    expense_typestringrequired

    The expense type of the invoice. You'll have to request this data from your customer

    display_typestringrequired

    The display type of the invoice. You'll have to request this data from your customer

    invoice_items object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsnumberrequired

    The amount of the invoice item, in cents

    notesstringrequired

    Notes associated with the invoice item

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    cash_financial_account_idstringrequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    ap_financial_account_idstringrequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    post_monthstring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    invoice_datestring<date-time>required

    The date of issuance for the invoice

    due_datestring<date-time>required

    The due date associated with the invoice

    notesstringrequired

    Notes associated with the invoice

    total_amount_in_centsnumberrequired

    The amount of the invoice, in cents

    expense_typestringrequired

    The expense type of the invoice. You'll have to request this data from your customer

    display_typestringrequired

    The display type of the invoice. You'll have to request this data from your customer

    invoice_items object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsnumberrequired

    The amount of the invoice item, in cents

    notesstringrequired

    Notes associated with the invoice item

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/invoices/yardi/
curl -X POST https://api.propexo.com/v1/invoices/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"total_amount_in_cents": 0,
"expense_type": "string",
"display_type": "string",
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"total_amount_in_cents": 0,
"expense_type": "string",
"display_type": "string",
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string"
}
]
}
}